package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumPermissionType {

    // 0：目录   1：菜单   2：按钮

    CATALOG(0, "目录"),
    MENU(1, "菜单"),
    BUTTON(2,"按钮")
    ;

    public static EnumPermissionType getEnum(Integer code) {
        for (EnumPermissionType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumPermissionType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
